{
  "_format": "hh-sol-artifact-1",
  "contractName": "IAccountWalletRegistry",
  "sourceName": "contracts/emoney/interfaces/IAccountWalletRegistry.sol",
  "abi": [
    {
      "anonymous": false,
      "inputs": [
        {
          "indexed": true,
          "internalType": "bytes32",
          "name": "accountRefId",
          "type": "bytes32"
        },
        {
          "indexed": true,
          "internalType": "bytes32",
          "name": "walletRefId",
          "type": "bytes32"
        },
        {
          "indexed": false,
          "internalType": "bytes32",
          "name": "provider",
          "type": "bytes32"
        },
        {
          "indexed": false,
          "internalType": "uint64",
          "name": "linkedAt",
          "type": "uint64"
        }
      ],
      "name": "AccountWalletLinked",
      "type": "event"
    },
    {
      "anonymous": false,
      "inputs": [
        {
          "indexed": true,
          "internalType": "bytes32",
          "name": "accountRefId",
          "type": "bytes32"
        },
        {
          "indexed": true,
          "internalType": "bytes32",
          "name": "walletRefId",
          "type": "bytes32"
        }
      ],
      "name": "AccountWalletUnlinked",
      "type": "event"
    },
    {
      "inputs": [
        {
          "internalType": "bytes32",
          "name": "walletRefId",
          "type": "bytes32"
        }
      ],
      "name": "getAccounts",
      "outputs": [
        {
          "internalType": "bytes32[]",
          "name": "",
          "type": "bytes32[]"
        }
      ],
      "stateMutability": "view",
      "type": "function"
    },
    {
      "inputs": [
        {
          "internalType": "bytes32",
          "name": "accountRefId",
          "type": "bytes32"
        }
      ],
      "name": "getWallets",
      "outputs": [
        {
          "components": [
            {
              "internalType": "bytes32",
              "name": "walletRefId",
              "type": "bytes32"
            },
            {
              "internalType": "uint64",
              "name": "linkedAt",
              "type": "uint64"
            },
            {
              "internalType": "bool",
              "name": "active",
              "type": "bool"
            },
            {
              "internalType": "bytes32",
              "name": "provider",
              "type": "bytes32"
            }
          ],
          "internalType": "struct WalletLink[]",
          "name": "",
          "type": "tuple[]"
        }
      ],
      "stateMutability": "view",
      "type": "function"
    },
    {
      "inputs": [
        {
          "internalType": "bytes32",
          "name": "accountRefId",
          "type": "bytes32"
        },
        {
          "internalType": "bytes32",
          "name": "walletRefId",
          "type": "bytes32"
        }
      ],
      "name": "isActive",
      "outputs": [
        {
          "internalType": "bool",
          "name": "",
          "type": "bool"
        }
      ],
      "stateMutability": "view",
      "type": "function"
    },
    {
      "inputs": [
        {
          "internalType": "bytes32",
          "name": "accountRefId",
          "type": "bytes32"
        },
        {
          "internalType": "bytes32",
          "name": "walletRefId",
          "type": "bytes32"
        }
      ],
      "name": "isLinked",
      "outputs": [
        {
          "internalType": "bool",
          "name": "",
          "type": "bool"
        }
      ],
      "stateMutability": "view",
      "type": "function"
    },
    {
      "inputs": [
        {
          "internalType": "bytes32",
          "name": "accountRefId",
          "type": "bytes32"
        },
        {
          "internalType": "bytes32",
          "name": "walletRefId",
          "type": "bytes32"
        },
        {
          "internalType": "bytes32",
          "name": "provider",
          "type": "bytes32"
        }
      ],
      "name": "linkAccountToWallet",
      "outputs": [],
      "stateMutability": "nonpayable",
      "type": "function"
    },
    {
      "inputs": [
        {
          "internalType": "bytes32",
          "name": "accountRefId",
          "type": "bytes32"
        },
        {
          "internalType": "bytes32",
          "name": "walletRefId",
          "type": "bytes32"
        }
      ],
      "name": "unlinkAccountFromWallet",
      "outputs": [],
      "stateMutability": "nonpayable",
      "type": "function"
    }
  ],
  "bytecode": "0x",
  "deployedBytecode": "0x",
  "linkReferences": {},
  "deployedLinkReferences": {}
}
